module.exports = function markdownAstCache(chain, route = '*.md') {
  return chain
    .invoke('route', route)
    .keyBy('id')
    .mapValues((result) => {
      const { meta, idParts, doc, file } = result
      const { exportables } = doc.ready
      const { frontmatter, ast } = exportables

      return {
        ast: ast, 
        project: {
          cwd: doc.project.cwd,
        },
        metadata: {
          idParts,
          ...meta,
          ...frontmatter,
        },
      }
    })
}
